##
##  ascii.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ascii
Summary:      ASCII Utility
URL:          http://www.catb.org/~esr/ascii/
Vendor:       Eric S. Raymond
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Writing
License:      GPL
Version:      3.20
Release:      20240216

#   list of sources
Source0:      http://www.catb.org/~esr/ascii/ascii-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make
PreReq:       OpenPKG, openpkg >= 20160101

%description
    The ascii(1) utility provides easy conversion between various byte
    representations and the American Standard Code for Information
    Interchange (ASCII) character table. It knows about a wide variety
    of hex, binary, octal, Teletype mnemonic, ISO/ECMA code point, slang
    name, and other representations. Given any one on the command line,
    it will try to display all others. Called with no arguments it
    displays a handy small ASCII chart.

%track
    prog ascii = {
        version   = %{version}
        url       = http://www.catb.org/~esr/ascii/
        regex     = ascii-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    echo "%{version}: xxx" >NEWS
    %{l_make} %{l_mflags}
        CC="%{l_cc} %{l_cflags -O}"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        ascii $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        ascii.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

